VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::MemoryTypes::Info Class Reference

The `Memory.Info` class contains memory-related information about a virtual machine. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
long | GetSizeMiB ()
| Memory size in mebibytes.
void | SetSizeMiB (long sizeMiB)
| Memory size in mebibytes.
bool | GetHotAddEnabled ()
| Flag indicating whether adding memory while the virtual machine is running is enabled.
void | SetHotAddEnabled (bool hotAddEnabled)
| Flag indicating whether adding memory while the virtual machine is running is enabled.
long | GetHotAddIncrementSizeMiB ()
| The granularity, in mebibytes, at which memory can be added to a running virtual machine.
void | SetHotAddIncrementSizeMiB (long?hotAddIncrementSizeMiB)
| The granularity, in mebibytes, at which memory can be added to a running virtual machine.
long | GetHotAddLimitMiB ()
| The maximum amount of memory, in mebibytes, that can be added to a running virtual machine.
void | SetHotAddLimitMiB (long?hotAddLimitMiB)
| The maximum amount of memory, in mebibytes, that can be added to a running virtual machine.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Memory.Info` class contains memory-related information about a virtual machine.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::MemoryTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::MemoryTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::MemoryTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::MemoryTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::MemoryTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::MemoryTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::MemoryTypes::Info::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vcenter::vm::hardware::MemoryTypes::Info::GetHashCode | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::MemoryTypes::Info::GetHotAddEnabled | ( |  | ) | `[inline]`

Flag indicating whether adding memory while the virtual machine is running is enabled.

Some guest operating systems may consume more resources or perform less efficiently when they run on hardware that supports adding memory while the machine is running.

long vmware::vcenter::vm::hardware::MemoryTypes::Info::GetHotAddIncrementSizeMiB | ( |  | ) | `[inline]`

The granularity, in mebibytes, at which memory can be added to a running virtual machine.

When adding memory to a running virtual machine, the amount of memory added must be at least Memory.Info.hotAddIncrementSizeMiB and the total memory size of the virtual machine must be a multiple of hotAddIncrementSize}.

long vmware::vcenter::vm::hardware::MemoryTypes::Info::GetHotAddLimitMiB | ( |  | ) | `[inline]`

The maximum amount of memory, in mebibytes, that can be added to a running virtual machine.

long vmware::vcenter::vm::hardware::MemoryTypes::Info::GetSizeMiB | ( |  | ) | `[inline]`

Memory size in mebibytes.

void vmware::vcenter::vm::hardware::MemoryTypes::Info::SetHotAddEnabled | ( | bool | hotAddEnabled | ) | `[inline]`

Flag indicating whether adding memory while the virtual machine is running is enabled.

Some guest operating systems may consume more resources or perform less efficiently when they run on hardware that supports adding memory while the machine is running.

void vmware::vcenter::vm::hardware::MemoryTypes::Info::SetHotAddIncrementSizeMiB | ( | long? | hotAddIncrementSizeMiB | ) | `[inline]`

The granularity, in mebibytes, at which memory can be added to a running virtual machine.

When adding memory to a running virtual machine, the amount of memory added must be at least Memory.Info.hotAddIncrementSizeMiB and the total memory size of the virtual machine must be a multiple of hotAddIncrementSize}.

void vmware::vcenter::vm::hardware::MemoryTypes::Info::SetHotAddLimitMiB | ( | long? | hotAddLimitMiB | ) | `[inline]`

The maximum amount of memory, in mebibytes, that can be added to a running virtual machine.

void vmware::vcenter::vm::hardware::MemoryTypes::Info::SetSizeMiB | ( | long | sizeMiB | ) | `[inline]`

Memory size in mebibytes.

override string vmware::vcenter::vm::hardware::MemoryTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- MemoryTypes.cs